---
title: MediaRecorder.onwarning
slug: Web/API/MediaRecorder/onwarning
tags:
  - API
  - Audio
  - Media Capture
  - Media Recorder API
  - MediaRecorder
  - Property
  - Reference
  - Référence(2)
  - Video
  - onwarning
---
<div>{{Deprecated_header}}</div>

<div>{{APIRef("Media Recorder API")}}</div>

<p>The <strong><code>MediaRecorder.onwarning </code></strong>event handler (part of the <a href="/en-US/docs/Web/API/MediaRecorder_API">MediaRecorder API</a>) handles the <code>recordingwarning</code> event, allowing you to run code in response to non-fatal errors being thrown during media recording via a <code>MediaRecorder</code>, which don't halt recording.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>mediaRecorder</em>.onwarning = function(<em>event</em>) { ... }
<em>mediaRecorder</em>.addEventListener('warning', function(<em>event</em>) { ... })</pre>

<h2 id="Example">Example</h2>

<pre class="brush: js">...

  mediaRecorder.onwarning = function(e) {
    console.log("A warning has been raised: " + e.message);
  }

...</pre>

<h2 id="Properties">Properties</h2>

<dl>
 <dt><code>message</code></dt>
 <dd>Contains information about the error that occurred.</dd>
</dl>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.MediaRecorder.onwarning")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/MediaRecorder_API/Using_the_MediaRecorder_API">Using the MediaRecorder API</a></li>
 <li><a href="https://mdn.github.io/web-dictaphone/">Web Dictaphone</a>: MediaRecorder + getUserMedia + Web Audio API visualization demo, by <a href="https://twitter.com/chrisdavidmills">Chris Mills</a> (<a href="https://github.com/mdn/web-dictaphone/">source on Github</a>.)</li>
 <li><a href="http://simpl.info/mediarecorder/">simpl.info MediaStream Recording demo</a>, by <a href="https://twitter.com/sw12">Sam Dutton</a>.</li>
 <li>{{domxref("Navigator.getUserMedia")}}</li>
</ul>
